org.bdgenomics.adam.rdd

# SortedIntervalPartitionJoinWithVictims

###
Related Doc: package rdd

#### sealed trait SortedIntervalPartitionJoinWithVictims[T, U, RT, RU] extends ShuffleRegionJoin[T, U, RT, RU]

Linear Supertypes
ShuffleRegionJoin[T, U, RT, RU], RegionJoin[T, U, RT, RU], Serializable, Serializable, AnyRef, Any
Known Subclasses
FullOuterShuffleRegionJoin, RightOuterShuffleRegionJoinAndGroupByLeft
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SortedIntervalPartitionJoinWithVictims
2. ShuffleRegionJoin
3. RegionJoin
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def emptyFn(left: Iterator[(ReferenceRegion, T)], right: Iterator[(ReferenceRegion, U)]): Iterator[(RT, RU)]

   Attributes
     protected
   Definition Classes
     ShuffleRegionJoin

2. #### abstract val leftRdd: RDD[(ReferenceRegion, T)]

   Attributes
     protected
   Definition Classes
     ShuffleRegionJoin

3. #### abstract def postProcessHits(iter: Iterable[U], currentLeft: T): Iterable[(RT, RU)]

   Attributes
     protected
   Definition Classes
     ShuffleRegionJoin

4. #### abstract def postProcessPruned(pruned: U): (RT, RU)

   Attributes
     protected

5. #### abstract val rightRdd: RDD[(ReferenceRegion, U)]

   Attributes
     protected
   Definition Classes
     ShuffleRegionJoin

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def advanceCache(cache: SetTheoryCache[U, RT, RU], right: BufferedIterator[(ReferenceRegion, U)], until: ReferenceRegion): Unit

   Adds elements from right to victimCache based on the next region encountered.

   Adds elements from right to victimCache based on the next region encountered.

   cache

     The cache for this partition.

   right

     The right iterator.

   until

     The next value on the left to perform the join.

   Attributes
     protected
   Definition Classes
     SortedIntervalPartitionJoinWithVictims → ShuffleRegionJoin

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def compute(): RDD[(RT, RU)]

   Performs a region join between two RDDs (shuffle join).

   Performs a region join between two RDDs (shuffle join). All data should be pre-shuffled and copartitioned.

   returns

     An RDD of joins (x, y), where x is from leftRDD, y is from rightRDD, and the region corresponding to x overlaps the region corresponding to y.

   Definition Classes
     ShuffleRegionJoin

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def finalizeHits(cache: SetTheoryCache[U, RT, RU], right: BufferedIterator[(ReferenceRegion, U)]): Iterable[(RT, RU)]

    Computes all victims for the partition.

    Computes all victims for the partition. If there are any remaining values in the right iterator, those are considered victims.

    cache

      The cache for this partition.

    right

      The right iterator containing unmatched regions.

    returns

      An iterable containing all pruned hits.

    Attributes
      protected
    Definition Classes
      SortedIntervalPartitionJoinWithVictims → ShuffleRegionJoin

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### def makeIterator(leftIter: Iterator[(ReferenceRegion, T)], rightIter: Iterator[(ReferenceRegion, U)]): Iterator[(RT, RU)]

    Attributes
      protected
    Definition Classes
      ShuffleRegionJoin

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def partitionAndJoin(left: RDD[(ReferenceRegion, T)], right: RDD[(ReferenceRegion, U)]): RDD[(RT, RU)]

    Performs a region join between two RDDs.

    Performs a region join between two RDDs.

    returns

      An RDD of pairs (x, y), where x is from baseRDD, y is from joinedRDD, and the region corresponding to x overlaps the region corresponding to y.

    Definition Classes
      ShuffleRegionJoin → RegionJoin

20. #### def processHits(cache: SetTheoryCache[U, RT, RU], currentLeft: T, currentLeftRegion: ReferenceRegion): Iterable[(RT, RU)]

    Process hits for a given object in left.

    Process hits for a given object in left.

    cache

      The cache containing potential hits.

    currentLeft

      The current object from the left

    currentLeftRegion

      The ReferenceRegion of currentLeft.

    returns

      An iterator containing all hits, formatted by postProcessHits.

    Attributes
      protected
    Definition Classes
      ShuffleRegionJoin

21. #### def pruneCache(cache: SetTheoryCache[U, RT, RU], to: ReferenceRegion): Unit

    Removes elements from cache in place that do not meet the condition for join.

    Removes elements from cache in place that do not meet the condition for join. Also adds the elements that are not hits to the list of pruned.

    cache

      The cache for this partition.

    to

      The next region in the left iterator.

    Attributes
      protected
    Definition Classes
      SortedIntervalPartitionJoinWithVictims → ShuffleRegionJoin

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ShuffleRegionJoin[T, U, RT, RU]

### Inherited from RegionJoin[T, U, RT, RU]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped